Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.impl.dtd
Class XMLElementDecl

    java.lang.Object
      |
      +--weblogic.apache.xerces.impl.dtd.XMLElementDecl

public class XMLElementDecl
extends java.lang.Object

Field Summary
`weblogic.apache.xerces.impl.dtd.models.ContentModelValidator` | `contentModelValidator` contentModelValidator
`QName` | `name` name
`int` | `scope` scope
`XMLSimpleType` | `simpleType` simpleType
`short` | `type` type
`static short` | `TYPE_ANY` TYPE_ANY
`static short` | `TYPE_CHILDREN` TYPE_CHILDREN
`static short` | `TYPE_EMPTY` TYPE_EMPTY
`static short` | `TYPE_MIXED` TYPE_MIXED
`static short` | `TYPE_SIMPLE` TYPE_SIMPLE

Constructor Summary
`XMLElementDecl()`

Method Summary
`void` | `clear()` clear
`void` | `setValues(QName name, int scope, short type, weblogic.apache.xerces.impl.dtd.models.ContentModelValidator contentModelValidator, XMLSimpleType simpleType)` setValues

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ANY

    public static final short TYPE_ANY

  TYPE_ANY

### TYPE_EMPTY

    public static final short TYPE_EMPTY

  TYPE_EMPTY

### TYPE_MIXED

    public static final short TYPE_MIXED

  TYPE_MIXED

### TYPE_CHILDREN

    public static final short TYPE_CHILDREN

  TYPE_CHILDREN

### TYPE_SIMPLE

    public static final short TYPE_SIMPLE

  TYPE_SIMPLE

### name

    public final QName name

  name

### scope

    public int scope

  scope

### type

    public short type

  type

### contentModelValidator

    public weblogic.apache.xerces.impl.dtd.models.ContentModelValidator contentModelValidator

  contentModelValidator

### simpleType

    public final XMLSimpleType simpleType

  simpleType

Constructor Detail

### XMLElementDecl

    public XMLElementDecl()

Method Detail

### setValues

    public void setValues(QName name,
                          int scope,
                          short type,
                          weblogic.apache.xerces.impl.dtd.models.ContentModelValidator contentModelValidator,
                          XMLSimpleType simpleType)

  setValues

  Parameters:
    `name` -
    `scope` -
    `type` -
    `contentModelValidator` -
    `simpleType` -

### clear

    public void clear()

  clear

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD